HanMacWrdKGraphInternal::TableCell Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
HanMacWrdKGraphInternal::TableCell Struct Referencefinal

a table cell in a table in HanMacWrdKGraph More...

Inheritance diagram for HanMacWrdKGraphInternal::TableCell:

## Public Member Functions
| TableCell ()
| constructor More...
bool | sendContent (MWAWListenerPtr listener, MWAWTable &table) final
| call when the content of a cell must be send More...
Public Member Functions inherited from MWAWCell
| MWAWCell ()
| constructor More...
| MWAWCell (MWAWCell const &)=default
MWAWCell & | operator= (MWAWCell const &)=default
MWAWCell & | operator= (MWAWCell &&)=default
virtual | ~MWAWCell ()
| destructor More...
void | addTo (librevenge::RVNGPropertyList &propList, std::shared_ptr< MWAWFontConverter > fontConverter) const
| adds to the propList More...
virtual bool | send (MWAWListenerPtr listener, MWAWTable &table)
| function called when a cell is send by MWAWTable to send a cell to a listener. More...
MWAWVec2i const & | position () const
| position accessor More...
void | setPosition (MWAWVec2i posi)
| set the cell positions : 0,0 -> A1, 0,1 -> A2 More...
MWAWVec2i const & | numSpannedCells () const
| returns the number of spanned cells More...
void | setNumSpannedCells (MWAWVec2i numSpanned)
| sets the number of spanned cells : MWAWVec2i(1,1) means 1 cellule More...
MWAWBox2f const & | bdBox () const
| bdbox accessor More...
void | setBdBox (MWAWBox2f box)
| set the bdbox (unit point) More...
MWAWVec2f const & | bdSize () const
| bdbox size accessor More...
void | setBdSize (MWAWVec2f sz)
| set the bdbox size(unit point) More...
Format const & | getFormat () const
| returns the cell format More...
void | setFormat (Format const &format)
| set the cell format More...
bool | isFontSet () const
| returns true if the font has been set More...
MWAWFont | getFont () const
| returns the font More...
void | setFont (MWAWFont const &font, bool isDefault=false)
| sets the fonts More...
bool | isProtected () const
| returns true if the cell is protected More...
void | setProtected (bool fl)
| sets the cell's protected flag More...
HorizontalAlignment | hAlignment () const
| returns the horizontal alignment More...
void | setHAlignment (HorizontalAlignment align)
| sets the horizontal alignment More...
VerticalAlignment | vAlignment () const
| returns the vertical alignment More...
void | setVAlignment (VerticalAlignment align)
| sets the vertical alignment More...
double | rotation () const
| returns the rotation angle in degree More...
void | setRotation (double angle)
| sets the rotation angle More...
bool | hasBorders () const
| return true if the cell has some border More...
std::vector< MWAWBorder > const & | borders () const
| return the cell border: libmwaw::Left | ... More...
void | resetBorders ()
| reset the border More...
void | setBorders (int wh, MWAWBorder const &border)
| sets the cell border: wh=libmwaw::LeftBit|... More...
MWAWColor | backgroundColor () const
| returns the background color More...
void | setBackgroundColor (MWAWColor color)
| sets the background color More...
bool | hasExtraLine () const
| returns true if we have some extra lines More...
ExtraLine | extraLine () const
| returns the extra lines More...
MWAWBorder const & | extraLineType () const
| returns the extra line border More...
void | setExtraLine (ExtraLine extrLine, MWAWBorder const &type=MWAWBorder())
| sets the extraline More...

## Public Attributes
long | m_id
| the cell id ( corresponding to the last data in the main zones list ) More...
long | m_fileId
| the file id More...
int | m_flags
| the cell data More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, TableCell const &cell)
| operator<< More...

## Additional Inherited Members
Public Types inherited from MWAWCell
enum | FormatType { F_TEXT , F_BOOLEAN , F_NUMBER , F_DATE , F_TIME , F_UNKNOWN }
| the different format of a cell's content More...
enum | NumberType { F_NUMBER_CURRENCY , F_NUMBER_DECIMAL , F_NUMBER_FRACTION , F_NUMBER_GENERIC , F_NUMBER_SCIENTIFIC , F_NUMBER_PERCENT , F_NUMBER_UNKNOWN }
| the different number format of a cell's content More...
enum | HorizontalAlignment { HALIGN_LEFT , HALIGN_RIGHT , HALIGN_CENTER , HALIGN_FULL , HALIGN_DEFAULT }
| the default horizontal alignment. More...
enum | VerticalAlignment { VALIGN_TOP , VALIGN_CENTER , VALIGN_BOTTOM , VALIGN_DEFAULT }
| the default vertical alignment. More...
enum | ExtraLine { E_None , E_Line1 , E_Line2 , E_Cross }
| an enum to defined potential internal line: E_Line1=TL to RB, E_Line2=BL to RT More...
Static Public Member Functions inherited from MWAWCell
static std::string | getBasicCellName (MWAWVec2i const &pos)
| return the name of a cell (given row and column) : 0,0 -> A1, 0,1 -> A2... More...
static std::string | getCellName (MWAWVec2i const &pos, MWAWVec2b const &absolute)
| return the name of a cell (given row and column) : 0,0 -> [.A1], 0,1 -> [.A2] More...
static std::string | getColumnName (int col)
| return the column name More...
Protected Attributes inherited from MWAWCell
MWAWVec2i | m_position
| the cell row and column : 0,0 -> A1, 0,1 -> A2 More...
MWAWVec2i | m_numberCellSpanned
| the cell spanned : by default (1,1) More...
MWAWBox2f | m_bdBox
| the cell bounding box (unit in point) More...
MWAWVec2f | m_bdSize
| the cell bounding size : unit point More...
Format | m_format
| the cell format More...
MWAWFont | m_font
| the cell font More...
bool | m_fontSet
| a flag to know if the font has been set More...
HorizontalAlignment | m_hAlign
| the cell alignment : by default nothing More...
VerticalAlignment | m_vAlign
| the vertical cell alignment : by default nothing More...
double | m_rotation
| the content's rotation in degree More...
MWAWColor | m_backgroundColor
| the backgroung color More...
bool | m_protected
| cell protected More...
std::vector< MWAWBorder > | m_bordersList
| the cell border MWAWBorder::Pos More...
ExtraLine | m_extraLine
| extra line More...
MWAWBorder | m_extraLineType
| extra line type More...

## Detailed Description

a table cell in a table in HanMacWrdKGraph

## Constructor & Destructor Documentation

## ◆ TableCell()

HanMacWrdKGraphInternal::TableCell::TableCell | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ sendContent()

bool HanMacWrdKGraphInternal::TableCell::sendContent | ( | MWAWListenerPtr | listener,
|  | MWAWTable & | table
| ) |  |
| finalvirtual

call when the content of a cell must be send

Reimplemented from MWAWCell.

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | TableCell const & | cell
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string HanMacWrdKGraphInternal::TableCell::m_extra

extra data

## ◆ m_fileId

long HanMacWrdKGraphInternal::TableCell::m_fileId

the file id

Referenced by sendContent().

## ◆ m_flags

int HanMacWrdKGraphInternal::TableCell::m_flags

the cell data

## ◆ m_id

long HanMacWrdKGraphInternal::TableCell::m_id

the cell id ( corresponding to the last data in the main zones list )

Referenced by sendContent().

The documentation for this struct was generated from the following file:

- HanMacWrdKGraph.cxx